# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart2
# Libre Office Version: 7.2
from typing_extensions import Literal
from enum import Enum


class SymbolStyle(Enum):
    """
    Enum Class

    

    See Also:
        `API SymbolStyle <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart2.html#a8068445d248b830d1708dcb2a2afb2c6>`_
    """
    AUTO: Literal['AUTO']
    """
    The symbol is taken automatically.
    """
    GRAPHIC: Literal['GRAPHIC']
    """
    uses the graphic given in Symbol.Graphic as symbol.
    """
    NONE: Literal['NONE']
    """
    Default, no pies are exploded.
    
    no transparency attribute is evaluated
    
    The symbol is invisible.
    """
    POLYGON: Literal['POLYGON']
    """
    uses the symbol given in the com.sun.star.drawing.PolyPolygonBezierCoords given in Symbol.PolygonCoords.
    """
    STANDARD: Literal['STANDARD']
    """
    uses one of the standard symbols.
    
    Which standard symbol is given in Symbol.StandardSymbol.
    """

__all__ = ['SymbolStyle']

