# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.2
from typing_extensions import Literal
from enum import Enum


class LineJoint(Enum):
    """
    Enum Class

    

    See Also:
        `API LineJoint <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing.html#aa36e7b530c7d0049f623b0effe54d04f>`_
    """
    BEVEL: Literal['BEVEL']
    """
    the edges of the thick lines will be joined by lines
    """
    MIDDLE: Literal['MIDDLE']
    """
    the middle value between the joints is used
    """
    MITER: Literal['MITER']
    """
    the lines join at intersections
    """
    NONE: Literal['NONE']
    """
    the area is not filled.
    
    The text size is only defined by the font properties.
    
    Don't animate this text.
    
    the line is hidden.
    
    the joint between lines will not be connected
    
    the line has no special end.
    """
    ROUND: Literal['ROUND']
    """
    the dash is a point
    
    the lines join with an arc
    
    the line will get a half circle as additional cap
    """

__all__ = ['LineJoint']

