# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.scanner
# Libre Office Version: 7.2
from typing_extensions import Literal
from enum import Enum


class ScanError(Enum):
    """
    Enum Class

    

    See Also:
        `API ScanError <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1scanner.html#abd1619ea132004db8599d9529755e9ab>`_
    """
    InvalidContext: Literal['InvalidContext']
    """
    InvalidContext: a device was requested that does not exist.
    """
    ScanCanceled: Literal['ScanCanceled']
    """
    ScanCanceled: the scan was canceled by the user.
    """
    ScanErrorNone: Literal['ScanErrorNone']
    """
    ScanErrorNone: no error occurred.
    """
    ScanFailed: Literal['ScanFailed']
    """
    ScanFailed: an error occurred during scanning.
    """
    ScanInProgress: Literal['ScanInProgress']
    """
    ScanInProgress: a scan is already in progress on this device that has to end before a new one can be started.
    """
    ScannerNotAvailable: Literal['ScannerNotAvailable']
    """
    ScannerNotAvailable: the requested device could not be opened.
    """

__all__ = ['ScanError']

