# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Interface Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 7.2
# Namespace: com.sun.star.sdb
from typing_extensions import Literal
import typing
from ..uno.x_interface import XInterface as XInterface_8f010a43
if typing.TYPE_CHECKING:
    from .x_row_set_approve_listener import XRowSetApproveListener as XRowSetApproveListener_27910f20

class XRowSetApproveBroadcaster(XInterface_8f010a43):
    """
    provides the possibility of reviving an event before changing the content of a row set.

    See Also:
        `API XRowSetApproveBroadcaster <https://api.libreoffice.org/docs/idl/ref/interfacecom_1_1sun_1_1star_1_1sdb_1_1XRowSetApproveBroadcaster.html>`_
    """
    __pyunointerface__: Literal['com.sun.star.sdb.XRowSetApproveBroadcaster']

    def addRowSetApproveListener(self, listener: 'XRowSetApproveListener_27910f20') -> None:
        """
        adds the specified listener to receive the events \"approveCursorMove\", \"approveRowChange\", and \"approveRowSetChange\".
        """
    def removeRowSetApproveListener(self, listener: 'XRowSetApproveListener_27910f20') -> None:
        """
        removes the specified listener.
        """

__all__ = ['XRowSetApproveBroadcaster']

