# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.2
from typing_extensions import Literal
from enum import Enum


class ValidationType(Enum):
    """
    Enum Class

    

    See Also:
        `API ValidationType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1sheet.html#aa5aa6dbecaeb5e18a476b0a58279c57a>`_
    """
    ANY: Literal['ANY']
    """
    any cell content is valid; no conditions are used.
    """
    CUSTOM: Literal['CUSTOM']
    """
    The specified formula determines which contents are valid.
    """
    DATE: Literal['DATE']
    """
    specifies an arithmetic series for date values.
    
    any date value matching the specified condition is valid.
    """
    DECIMAL: Literal['DECIMAL']
    """
    any number matching the specified condition is valid.
    """
    LIST: Literal['LIST']
    """
    Only strings from a specified list are valid.
    """
    TEXT_LEN: Literal['TEXT_LEN']
    """
    string is valid if its length matches the specified condition.
    """
    TIME: Literal['TIME']
    """
    any time value matching the specified condition is valid.
    """
    WHOLE: Literal['WHOLE']
    """
    any whole number matching the specified condition is valid.
    """

__all__ = ['ValidationType']

