# coding: utf-8
#
# Copyright 2022 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.table
# Libre Office Version: 7.2
from typing_extensions import Literal
from enum import Enum


class CellOrientation(Enum):
    """
    Enum Class

    

    See Also:
        `API CellOrientation <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1table.html#ae84a4c3547c7628fcc19bdf41cc93c60>`_
    """
    BOTTOMTOP: Literal['BOTTOMTOP']
    """
    contents are printed from bottom to top.
    """
    STACKED: Literal['STACKED']
    """
    contents are printed from top to bottom with individual characters in normal (horizontal) orientation.
    """
    STANDARD: Literal['STANDARD']
    """
    default alignment is used (left for numbers, right for text).
    
    default alignment is used.
    
    contents are printed from left to right.
    """
    TOPBOTTOM: Literal['TOPBOTTOM']
    """
    contents are printed from top to bottom.
    """

__all__ = ['CellOrientation']

